之前我买过一些蓝牙鼠标,用了 Bluetooth 4.0 LE 的技术,而 Linux 下需要这玩意支持至少是得装了 BlueZ5 。当时用的是 Ubuntu 14.04 这个没有办法,现在 Ubuntu 16.04.1 了已经内置了 BlueZ5 ,可是配对这个鼠标还是有问题,不能连接,查看了一下原来是需要开启 Simple Pair Mode。

sudo hciconfig hci0 sspmode 1

运行这个命令可以尝试 root 和非 root 都跑一次,当然最终都有可能报错,不过你可以把 1 去掉运行一下看看状态,是不是已经启用了 Simple Pair Mode。

选区_349.png

是的话就好办了:

sudo hciconfig hci0 down
sudo hciconfig hci0 up

再配对就行了,之后正常使用即可。